/* vim: set ai et sw=4 ts=4: */

#ifndef __GRAMOPHONE_ENGINE_H__
#define __GRAMOPHONE_ENGINE_H__

G_BEGIN_DECLS

typedef struct _Engine Engine;
struct _Engine {
    GstElement *thread;
};

Engine*     engine_new ();
void        engine_free (Engine *engine);

gboolean    engine_load_uri (Engine *engine, const gchar *text_uri);

void        engine_play (Engine *engine);
void        engine_pause (Engine *engine);

G_END_DECLS

#endif /* __GRAMOPHONE_ENGINE_H__ */
